Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.descriptors
Class NotationPropertyDescriptor

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertyDescriptor
          org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EMFCompositeSourcePropertyDescriptor
              org.eclipse.gmf.runtime.diagram.ui.properties.descriptors.NotationPropertyDescriptor

All Implemented Interfaces:
  ICompositeSourcePropertyDescriptor, IPropertyDescriptor

public class NotationPropertyDescriptor
extends EMFCompositeSourcePropertyDescriptor

A property descriptor for notation elements (graphical edit parts, views and styles), wrapper aroubd an EMF property descriptor.

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`PropertyDescriptor.EDataTypeCellEditor, PropertyDescriptor.EDataTypeValueHandler, PropertyDescriptor.FloatCellEditor, PropertyDescriptor.IntegerCellEditor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EMFCompositeSourcePropertyDescriptor
`category, filterFlags, propertyEditor, readOnly, validator`

Fields inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`ecorePackage, itemPropertyDescriptor, object`

Constructor Summary
`NotationPropertyDescriptor(java.lang.Object object, IItemPropertyDescriptor itemPropertyDescriptor, java.lang.String category)` Create and instance of the `NotationPropertyDescriptor`.

Method Summary
`protected CellEditor` `createComboBoxCellEditor(Composite composite)` Create combo box cell editor
`protected CellEditor` `createDataTypeCellEditor(Composite composite)` Create a cell editor for a data value.
`java.util.List` `getChoiceOfValues()` Return choice of values for the given property.
`ILabelProvider` `getLabelProvider()`
`java.lang.Object` `getPropertyValue()` Gets this property value
`void` `setPropertyValue(java.lang.Object value)` This method is used by the property source to set the property that this property descriptor maps to.

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EMFCompositeSourcePropertyDescriptor
`addFilterFlag, createBooleanCellEditor, createDialogCellEditor, createLabelProvider, createPropertyEditor, doCreateEditor, getCategory, getEditableValue, getFeature, getFilterFlags, getId, getItemDescriptor, getObject, getPropertyEditor, getPropertySource, getValidator, isCompatibleWith, isReadOnly, resetPropertyValue, resetPropertyValue, setCategory, setPropertyEditor, setReadOnly, setValidator`

Methods inherited from class org.eclipse.emf.edit.ui.provider.PropertyDescriptor
`createEDataTypeCellEditor, getDescription, getDisplayName, getEditLabelProvider, getHelpContextIds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`getDescription, getDisplayName, getHelpContextIds`

Constructor Detail

### NotationPropertyDescriptor

    public NotationPropertyDescriptor(java.lang.Object object,
                                      IItemPropertyDescriptor itemPropertyDescriptor,
                                      java.lang.String category)

  Create and instance of the `NotationPropertyDescriptor`.

Parameters:
  `object` - - notation element (graphical edit part, view or style)
  `itemPropertyDescriptor` - - EMF property descriptor
  `category` - - property category

Method Detail

### createDataTypeCellEditor

    protected CellEditor createDataTypeCellEditor(Composite composite)

  Create a cell editor for a data value.

  Overrides:
    `createDataTypeCellEditor` in class `EMFCompositeSourcePropertyDescriptor`
  Parameters:
    `composite` - - parent composite @return - cell editor to edit property value
  See Also:
    `createPropertyEditor`

### createComboBoxCellEditor

    protected CellEditor createComboBoxCellEditor(Composite composite)

  Create combo box cell editor

  Overrides:
    `createComboBoxCellEditor` in class `EMFCompositeSourcePropertyDescriptor`
  Parameters:
    `composite` - - parent composite @return - cell editor to edit property value
  See Also:
    `createPropertyEditor`

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Gets this property value

  Specified by:
    `getPropertyValue` in interface `ICompositeSourcePropertyDescriptor`
  Overrides:
    `getPropertyValue` in class `EMFCompositeSourcePropertyDescriptor`
  Returns:
    - value of the property stored in the EMF descriptor

### getLabelProvider

    public ILabelProvider getLabelProvider()

### setPropertyValue

    public void setPropertyValue(java.lang.Object value)

  Description copied from interface: `ICompositeSourcePropertyDescriptor`
  This method is used by the property source to set the property that this property descriptor maps to.

  Specified by:
    `setPropertyValue` in interface `ICompositeSourcePropertyDescriptor`
  Overrides:
    `setPropertyValue` in class `EMFCompositeSourcePropertyDescriptor`
  Parameters:
    `value` - value of the property

### getChoiceOfValues

    public java.util.List getChoiceOfValues()

  Description copied from class: `EMFCompositeSourcePropertyDescriptor`
  Return choice of values for the given property.

  Overrides:
    `getChoiceOfValues` in class `EMFCompositeSourcePropertyDescriptor`
  Returns:
    list containing list of values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.